<div class="card text-white bg-dark mb-3">
  <div class="row no-gutters">
      <div class="col-auto">
          <img src={{film.poster}} class="img-fluid rounded" alt="">
      </div>
      <div class="col">
          <div class="card-body px-2">
              <h3 class="card-title">{{ film.name }}</h3>
              <h5 class="card-subtitle">{{ film.year }}</h5>
              <p class="card-text text-justify">{{ film.storyline }}</p>
              <div class="rating">
                  <img class="rating-img" src="assets/images/star.svg" alt="star">
                  <span class="rating-span">{{ globalRating ? globalRating : 'n/a' }} / 10</span>
                </div>
          </div>
          <div class="user-rating">
            <star-rating [numOfStars]="10" [starType]="'svg'" [rating]="userRating" (ratingChange)="onRatingChange($event)"></star-rating>
          </div>
          <div class="watchlist" (click)="onWatchlistClick()">
            <img *ngIf="!isInWatchlist" src="assets/images/heart-white.svg" alt="watchlist">
            <img *ngIf="isInWatchlist" src="assets/images/heart-red.svg" alt="watchlist">
          </div>
      </div>
  </div>
</div>